グラフAPIバージョン

Ad Account Agencies

読み取り

Agencies associated with ad accounts

Graph API Explorer
GET /v25.0/{ad-account-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{ad-account-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{ad-account-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{ad-account-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{ad-account-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
グラフAPIを使用する方法については、グラフAPIの使用ガイドをご覧ください。

パラメーター

このエンドポイントにはパラメーターがありません。

項目

このエッジからの読み込むではJSONフォーマットの結果が返されます:

{ "data": [], "paging": {} }

data

Businessノードの一覧です。

各ノードに以下のフィールドが追加されます:

フィールド説明
access_requested_time
datetime

The creation time of the access request

access_status
enum

The status of the access request

access_updated_time
datetime

The update time of the access request

permitted_tasks
list<string>

The permissions of tasks associated with the access request

paging

ページネ―ションについて詳しくは、グラフAPIガイドをご覧ください。

エラーコード

エラー詳細
200Permissions error
100Invalid parameter
190Invalid OAuth 2.0 Access Token
80004There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting#ads-management.

作成

このエンドポイントではこの操作を実行できません。

更新中…

このエンドポイントではこの操作を実行できません。

削除中です

You can dissociate a Business from an AdAccount by making a DELETE request to /act_{ad_account_id}/agencies.

パラメーター

パラメーター説明
business
numeric string

SELF_EXPLANATORY

必須

戻り値の型

Struct {
success: bool,
}

エラーコード

エラー詳細
100Invalid parameter
200Permissions error